
Core - Bug # 57708

Status: Resolved Priority: Should have
Author: Christian Stern Category: t3editor
Created: 2014-04-07 Assigned To:
Updated: 2014-04-07 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: Yes
Sprint Focus:
Subject: No description inside t3editor are loaded
Description

No descriptions are loaded inside t3editor. TSREF-description remains empty.

Core: Error handler (BE): PHP Warning: call_user_func_array() expects parameter 1 to be a valid callback, cannot access protected
method TYPO3\CMS\T3editor\TypoScriptReferenceLoader::getDescription() in
/srv/typo3/typo3_src-6.2.0/typo3/sysext/core/Classes/Utility/GeneralUtility.php line 4148

Related issues:
related to Core - Task # 57196: Protect Ajax calls of core extensions Resolved 2014-03-23

Associated revisions
Revision 49c684f8 - 2014-04-07 16:02 - Markus Klein

[BUGFIX] T3editor description loading

Due to the refactoring of the ajax registration a wrong
method is registered for retrieving the description in t3editor.

Resolves: #57708
Releases: 6.2
Change-Id: I4eff5fe9475151439ad4e3cae26c874f69694ac5
Reviewed-on: https://review.typo3.org/29237
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-04-07 13:31 - Christian Stern
- Target version set to next-patchlevel

#2 - 2014-04-07 14:20 - Markus Klein
- Status changed from New to Accepted
- Complexity set to no-brainer
- Is Regression changed from No to Yes

Thanks for spotting this. Patch is coming along.
#3 - 2014-04-07 14:21 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29237

#4 - 2014-04-07 16:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:49c684f868d6f543fce6fb586bf16a16db007aa8.
